Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Interface HTMLFieldRenderer

All Superinterfaces:
  HTMLRenderingContext

All Known Implementing Classes:
  HTMLFieldRendererImpl

public interface HTMLFieldRenderer
extends HTMLRenderingContext

The `HTMLFieldRenderer` interface defines the set of functions to be implemented by a field renderer. If you are creating a field renderer for use in the `oracle.jbo.html.databeans.EditCurrentRecord` Data Web Bean, you can avoid implementing all of the methods by extending your field renderer class from the `HTMLFieldRendererImpl` class. The only method you need to override is `populateForm()`.

Method Summary
`AttributeDef` | `getAttributeDef()`
`java.lang.String` | `getCSSClassName()` Gets the name of the CSS (cascading style sheet) used by this field.
`DataSource` | `getDatasource()`
`int` | `getDisplayHeight()` Gets the display height, in characters, of this field.
`int` | `getDisplayWidth()` Gets the display width, in characters, of this field.
`java.lang.String` | `getFieldName()` Gets this FORM field's name.
`int` | `getMaxDataLength()` Gets the maximum input length, in characters, of this field.
`javax.servlet.jsp.PageContext` | `getPageContext()`
`java.lang.String` | `getValue()` Gets this field's current value.
`java.lang.String` | `renderToString(Row row)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
`void` | `setAttributeDef(AttributeDef attrDef)`
`void` | `setCSSClassName(java.lang.String sClass)` Sets the CSS (cascading style sheet) class name to be used by this field.
`void` | `setDatasource(DataSource dataSource)`
`void` | `setDisplayHeight(int nHeight)` Sets the display height, in characters, of this field.
`void` | `setDisplayWidth(int nWidth)` Sets the display width, in characters, of this field.
`void` | `setFieldName(java.lang.String sName)` Sets this FORM field's name.
`void` | `setHtmlAttributes(java.util.HashMap attrs)` Sets multiple html field in once Each element of the HashMap contain the name of the attribute as the key and the value of the html attribute in the value.
`void` | `setMaxDataLength(int nLength)` Sets the maximum input length, in characters, of this field.
`void` | `setPageContext(javax.servlet.jsp.PageContext page)`
`void` | `setValue(java.lang.String sValue)` Sets this field's current value.

Methods inherited from interface oracle.jdeveloper.html.HTMLRenderingContext
`getFormName, getPromptText, setFormName, setPromptText`

Method Detail

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext page)

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext()

### setDatasource

    public void setDatasource(DataSource dataSource)

### getDatasource

    public DataSource getDatasource()

### setAttributeDef

    public void setAttributeDef(AttributeDef attrDef)

### getAttributeDef

    public AttributeDef getAttributeDef()

### setFieldName

    public void setFieldName(java.lang.String sName)

  Sets this FORM field's name. This will be the name of the input parameter when the HTML form is submitted.
  Parameters:
    `sName` - name of this FORM field.

### getFieldName

    public java.lang.String getFieldName()

  Gets this FORM field's name. This will be the name of the input parameter when the HTML form is submitted.
  Returns:
    this FORM field's name.

### setDisplayWidth

    public void setDisplayWidth(int nWidth)

  Sets the display width, in characters, of this field.
  Parameters:
    `nWidth` - the display width, in characters.

### getDisplayWidth

    public int getDisplayWidth()

  Gets the display width, in characters, of this field.
  Returns:
    the display width, in characters.

### setDisplayHeight

    public void setDisplayHeight(int nHeight)

  Sets the display height, in characters, of this field.
  Parameters:
    `nHeight` - the display height, in characters.

### getDisplayHeight

    public int getDisplayHeight()

  Gets the display height, in characters, of this field.
  Returns:
    the display height, in characters.

### setMaxDataLength

    public void setMaxDataLength(int nLength)

  Sets the maximum input length, in characters, of this field. The user will not be able to enter more than `nLength` characters.
  Parameters:
    `nLength` - the maximum input length, in characters.

### getMaxDataLength

    public int getMaxDataLength()

  Gets the maximum input length, in characters, of this field. This is the maximum number of characters the user can enter in the field.
  Returns:
    the maximum input length, in characters.

### setCSSClassName

    public void setCSSClassName(java.lang.String sClass)

  Sets the CSS (cascading style sheet) class name to be used by this field. You can the use this class name in your CSS file to change the visual attributes of the field.
  Parameters:
    `sClass` - the class name of the CSS.

### getCSSClassName

    public java.lang.String getCSSClassName()

  Gets the name of the CSS (cascading style sheet) used by this field.
  Returns:
    the class name of the CSS.

### setValue

    public void setValue(java.lang.String sValue)

  Sets this field's current value.
  Parameters:
    `sValue` - current value of this field.

### getValue

    public java.lang.String getValue()

  Gets this field's current value.
  Returns:
    this field's current value.

### setHtmlAttributes

    public void setHtmlAttributes(java.util.HashMap attrs)

  Sets multiple html field in once Each element of the HashMap contain the name of the attribute as the key and the value of the html attribute in the value.
  Parameters:
    `attrs` - Map of the html attributes

### renderToString

    public java.lang.String renderToString(Row row)

  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.